# 0Gas sponsorship

Stable-coin transferring could be accepted with as low as 0 gwei gas price across **ALL** 48 RPC

Contact <rpc@48.club> for your stable-coin being listed

## API for Wallets

{% embed url="<https://github.com/bnb-chain/BEPs/blob/master/BEPs/BEP-414.md>" %}

We implements the `pm_isSponsorable` method 100% compatible with BEP-414, please check api definition in the link above. The general idea is:

1. Query `pm_isSponsorable` endpoint before packing an end-user transaction.
2. Apply 0 gwei to actually pack and broadcast this transaction if the result is true.

## Rules

To be sponsorable ,a tx must meet rules below:

1. It's an interaction to a contract address in following [white list](#white-list).
2. Gas limit required is not greater than 300,000.
3. Regarding potential exploition, token amount must not be less than 48e16 if the method called is one of `transfer/transferFrom/increaseAllowance/decreaseAllowance/burn/burnFrom`

## White List

```
USDT 0x55d398326f99059fF775485246999027B3197955
USDC 0x8AC76a51cc950d9822D68b83fE1Ad97B32Cd580d
FDUSD 0xc5f0f7b66764F6ec8C8Dff7BA683102295E16409
LisUSD 0x0782b6d8c4551B9760e74c0545a9bCD90bdc41E5
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.48.club/privacy-rpc/0gas-sponsorship.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
